'use strict';
const data = {
  'es.symbol': {
    edge: '15',
    chrome: '49',
    firefox: '51',
    safari: '10.0',
  },
  'es.symbol.description': {
    chrome: '70',
    firefox: '63',
    safari: '12.1',
  },
  'es.symbol.async-iterator': {
    chrome: '63',
    firefox: '55',
    safari: '12.0',
  },
  'es.symbol.has-instance': {
    edge: '15',
    chrome: '50',
    firefox: '49',
    safari: '10.0',
  },
  'es.symbol.is-concat-spreadable': {
    edge: '15',
    chrome: '48',
    firefox: '48',
    safari: '10.0',
  },
  'es.symbol.iterator': {
    edge: '13',
    chrome: '39',
    firefox: '36',
    safari: '9.0',
  },
  'es.symbol.match': {
    chrome: '50',
    firefox: '40',
    safari: '10.0',
  },
  'es.symbol.match-all': {
    chrome: '73',
    firefox: '67',
    safari: '13',
  },
  'es.symbol.replace': {
    chrome: '50',
    firefox: '49',
    safari: '10.0',
  },
  'es.symbol.search': {
    chrome: '50',
    firefox: '49',
    safari: '10.0',
  },
  'es.symbol.species': {
    edge: '13',
    chrome: '51',
    firefox: '41',
    safari: '10.0',
  },
  'es.symbol.split': {
    chrome: '50',
    firefox: '49',
    safari: '10.0',
  },
  'es.symbol.to-primitive': {
    edge: '15',
    chrome: '47',
    firefox: '44',
    safari: '10.0',
  },
  'es.symbol.to-string-tag': {
    edge: '15',
    chrome: '49',
    firefox: '51',
    safari: '10.0',
  },
  'es.symbol.unscopables': {
    edge: '13',
    chrome: '39',
    firefox: '48',
    safari: '9.0',
  },
  'es.array.concat': {
    edge: '15',
    chrome: '51',
    firefox: '48',
    safari: '10.0',
  },
  'es.array.copy-within': {
    edge: '13',
    chrome: '45',
    firefox: '48',
    safari: '9.0',
  },
  'es.array.every': {
    ie: '9',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.array.fill': {
    edge: '13',
    chrome: '45',
    firefox: '4',
    safari: '9.0',
  },
  'es.array.filter': {
    edge: '13',
    chrome: '51',
    firefox: '48',
    safari: '10.0',
  },
  'es.array.find': {
    edge: '13',
    chrome: '45',
    firefox: '48',
    safari: '9.0',
  },
  'es.array.find-index': {
    edge: '13',
    chrome: '45',
    firefox: '48',
    safari: '9.0',
  },
  'es.array.flat': {
    chrome: '69',
    firefox: '62',
    safari: '12.0',
  },
  'es.array.flat-map': {
    chrome: '69',
    firefox: '62',
    safari: '12.0',
  },
  'es.array.for-each': {
    ie: '9',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.array.from': {
    edge: '15',
    chrome: '51',
    firefox: '53',
    safari: '9.0',
  },
  'es.array.includes': {
    edge: '14',
    chrome: '53',
    firefox: '48',
    safari: '10.0',
  },
  'es.array.index-of': {
    ie: '9',
    chrome: '51',
    firefox: '4',
    safari: '8.0',
  },
  'es.array.is-array': {
    ie: '9',
    chrome: '5',
    opera: '10.50',
    android: '4.0',
    firefox: '4',
    safari: '4.0',
  },
  'es.array.iterator': {
    edge: '15',
    chrome: '66',
    firefox: '60',
    safari: '10.0',
  },
  'es.array.join': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.array.last-index-of': {
    ie: '9',
    chrome: '51',
    firefox: '4',
    safari: '8.0',
  },
  'es.array.map': {
    edge: '13',
    chrome: '51',
    firefox: '48',
    safari: '10.0',
  },
  'es.array.of': {
    edge: '13',
    chrome: '45',
    firefox: '25',
    safari: '9.0',
  },
  'es.array.reduce': {
    ie: '9',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.array.reduce-right': {
    ie: '9',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.array.reverse': {
    ie: '8',
    chrome: '26',
    firefox: '4',
    // safari 12.0 has a serious bug
    safari: '12.0.2',
  },
  'es.array.slice': {
    edge: '13',
    chrome: '51',
    firefox: '48',
    safari: '10.0',
  },
  'es.array.some': {
    ie: '9',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.array.sort': {
    ie: '9',
    chrome: '63',
    firefox: '4',
    safari: '12.0',
  },
  'es.array.species': {
    edge: '13',
    chrome: '51',
    firefox: '48',
    safari: '10.0',
  },
  'es.array.splice': {
    edge: '13',
    chrome: '51',
    firefox: '49',
    safari: '10.0',
  },
  'es.array.unscopables.flat': {
    firefox: '67',
    chrome: '73',
    safari: '13',
  },
  'es.array.unscopables.flat-map': {
    firefox: '67',
    chrome: '73',
    safari: '13',
  },
  'es.array-buffer.constructor': {
    edge: '14',
    chrome: '26',
    firefox: '44',
    safari: '12.0',
  },
  'es.array-buffer.is-view': {
    ie: '11',
    chrome: '32',
    firefox: '29',
    safari: '8.0',
  },
  'es.array-buffer.slice': {
    ie: '11',
    chrome: '31',
    firefox: '46',
    safari: '12.1',
  },
  'es.data-view': {
    ie: '10',
    chrome: '26',
    firefox: '15',
    safari: '8.0',
  },
  'es.date.now': {
    ie: '9',
    chrome: '5',
    opera: '10.50',
    android: '4.0',
    firefox: '2',
    safari: '4.0',
  },
  'es.date.to-iso-string': {
    ie: '9',
    chrome: '26',
    firefox: '7',
    safari: '8.0',
  },
  'es.date.to-json': {
    ie: '9',
    chrome: '26',
    firefox: '4',
    safari: '10.0',
  },
  'es.date.to-primitive': {
    edge: '15',
    chrome: '47',
    firefox: '44',
    safari: '10.0',
  },
  'es.date.to-string': {
    ie: '9',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.function.bind': {
    ie: '9',
    chrome: '7',
    opera: '12',
    android: '4.0',
    firefox: '4',
    safari: '5.1',
  },
  'es.function.has-instance': {
    edge: '15',
    chrome: '51',
    firefox: '50',
    safari: '10.0',
  },
  'es.function.name': {
    edge: '14',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.global-this': {
    chrome: '71',
    firefox: '65',
    safari: '12.1',
  },
  'es.json.stringify': {
    chrome: '72',
    firefox: '64',
    safari: '12.1',
  },
  'es.json.to-string-tag': {
    edge: '15',
    chrome: '50',
    firefox: '51',
    safari: '10.0',
  },
  'es.map': {
    edge: '15',
    chrome: '51',
    firefox: '53',
    safari: '10.0',
  },
  'es.math.acosh': {
    edge: '13',
    chrome: '54',
    firefox: '25',
    safari: '8.0',
  },
  'es.math.asinh': {
    edge: '13',
    chrome: '38',
    firefox: '25',
    safari: '8.0',
  },
  'es.math.atanh': {
    edge: '13',
    chrome: '38',
    firefox: '25',
    safari: '8.0',
  },
  'es.math.cbrt': {
    edge: '12',
    chrome: '38',
    firefox: '25',
    safari: '7.1',
  },
  'es.math.clz32': {
    edge: '12',
    chrome: '38',
    firefox: '31',
    safari: '9.0',
  },
  'es.math.cosh': {
    edge: '13',
    chrome: '39',
    firefox: '25',
    safari: '8.0',
  },
  'es.math.expm1': {
    edge: '13',
    chrome: '39',
    firefox: '46',
    safari: '8.0',
  },
  'es.math.fround': {
    edge: '12',
    chrome: '38',
    firefox: '26',
    safari: '7.1',
  },
  'es.math.hypot': {
    edge: '12',
    // https://bugs.chromium.org/p/v8/issues/detail?id=9546
    chrome: '78', // '38',
    firefox: '27',
    safari: '7.1',
  },
  'es.math.imul': {
    edge: '13',
    chrome: '28',
    firefox: '20',
    safari: '9.0',
  },
  'es.math.log10': {
    edge: '12',
    chrome: '38',
    firefox: '25',
    safari: '7.1',
  },
  'es.math.log1p': {
    edge: '12',
    chrome: '38',
    firefox: '25',
    safari: '7.1',
  },
  'es.math.log2': {
    edge: '12',
    chrome: '38',
    firefox: '25',
    safari: '7.1',
  },
  'es.math.sign': {
    edge: '12',
    chrome: '38',
    firefox: '25',
    safari: '9.0',
  },
  'es.math.sinh': {
    edge: '13',
    chrome: '39',
    firefox: '25',
    safari: '8.0',
  },
  'es.math.tanh': {
    edge: '12',
    chrome: '38',
    firefox: '25',
    safari: '7.1',
  },
  'es.math.to-string-tag': {
    edge: '15',
    chrome: '50',
    firefox: '51',
    safari: '10.0',
  },
  'es.math.trunc': {
    edge: '12',
    chrome: '38',
    firefox: '25',
    safari: '7.1',
  },
  'es.number.constructor': {
    edge: '13',
    chrome: '41',
    firefox: '46',
    safari: '9.0',
  },
  'es.number.epsilon': {
    edge: '12',
    chrome: '34',
    firefox: '25',
    safari: '9.0',
  },
  'es.number.is-finite': {
    edge: '12',
    chrome: '19',
    android: '4.1',
    firefox: '16',
    safari: '9.0',
  },
  'es.number.is-integer': {
    edge: '12',
    chrome: '34',
    firefox: '16',
    safari: '9.0',
  },
  'es.number.is-nan': {
    edge: '12',
    chrome: '19',
    android: '4.1',
    firefox: '15',
    safari: '9.0',
  },
  'es.number.is-safe-integer': {
    edge: '12',
    chrome: '34',
    firefox: '32',
    safari: '9.0',
  },
  'es.number.max-safe-integer': {
    edge: '12',
    chrome: '34',
    firefox: '31',
    safari: '9.0',
  },
  'es.number.min-safe-integer': {
    edge: '12',
    chrome: '34',
    firefox: '31',
    safari: '9.0',
  },
  'es.number.parse-float': {
    edge: '13',
    chrome: '35',
    firefox: '39',
    safari: '11.0',
  },
  'es.number.parse-int': {
    edge: '13',
    chrome: '35',
    firefox: '39',
    safari: '9.0',
  },
  'es.number.to-fixed': {
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.number.to-precision': {
    ie: '8',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.object.assign': {
    edge: '13',
    chrome: '49',
    firefox: '36',
    safari: '9.0',
  },
  'es.object.create': {
    ie: '9',
    chrome: '5',
    opera: '12',
    android: '4.0',
    firefox: '4',
    safari: '4.0',
  },
  'es.object.define-getter': {
    edge: '16',
    chrome: '62',
    firefox: '48',
    safari: '8.0',
  },
  'es.object.define-properties': {
    ie: '9',
    chrome: '5',
    opera: '12',
    firefox: '4',
    safari: '8.0',
  },
  'es.object.define-property': {
    ie: '9',
    chrome: '5',
    opera: '12',
    firefox: '4',
    safari: '8.0',
  },
  'es.object.define-setter': {
    edge: '16',
    chrome: '62',
    firefox: '48',
    safari: '8.0',
  },
  'es.object.entries': {
    edge: '14',
    chrome: '54',
    firefox: '47',
    safari: '10.1',
  },
  'es.object.freeze': {
    edge: '13',
    chrome: '44',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.from-entries': {
    chrome: '73',
    firefox: '63',
    safari: '12.1',
  },
  'es.object.get-own-property-descriptor': {
    edge: '13',
    chrome: '44',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.get-own-property-descriptors': {
    edge: '15',
    chrome: '54',
    firefox: '50',
    safari: '10.0',
  },
  'es.object.get-own-property-names': {
    edge: '13',
    chrome: '40',
    firefox: '34',
    safari: '9.0',
  },
  'es.object.get-prototype-of': {
    edge: '13',
    chrome: '44',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.is': {
    edge: '12',
    chrome: '19',
    android: '4.1',
    firefox: '22',
    safari: '9.0',
  },
  'es.object.is-extensible': {
    edge: '13',
    chrome: '44',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.is-frozen': {
    edge: '13',
    chrome: '44',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.is-sealed': {
    edge: '13',
    chrome: '44',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.keys': {
    edge: '13',
    chrome: '40',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.lookup-getter': {
    edge: '16',
    chrome: '62',
    firefox: '48',
    safari: '8.0',
  },
  'es.object.lookup-setter': {
    edge: '16',
    chrome: '62',
    firefox: '48',
    safari: '8.0',
  },
  'es.object.prevent-extensions': {
    edge: '13',
    chrome: '44',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.seal': {
    edge: '13',
    chrome: '44',
    firefox: '35',
    safari: '9.0',
  },
  'es.object.set-prototype-of': {
    ie: '11',
    chrome: '34',
    firefox: '31',
    safari: '9.0',
  },
  'es.object.to-string': {
    edge: '15',
    chrome: '49',
    firefox: '51',
    safari: '10.0',
  },
  'es.object.values': {
    edge: '14',
    chrome: '54',
    firefox: '47',
    safari: '10.1',
  },
  'es.parse-float': {
    ie: '8',
    chrome: '35',
    firefox: '8',
    safari: '8.0',
  },
  'es.parse-int': {
    ie: '9',
    chrome: '35',
    firefox: '21',
    safari: '8.0',
  },
  'es.promise': {
    // V8 6.6 has a serious bug
    chrome: '67', // '51',
    firefox: '69',
    safari: '11.0',
  },
  'es.promise.all-settled': {
    chrome: '76',
    firefox: '71',
    safari: '13',
  },
  'es.promise.finally': {
    // V8 6.6 has a serious bug
    chrome: '67', // '63',
    firefox: '69',
    safari: '12.0',
  },
  'es.reflect.apply': {
    edge: '15',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.construct': {
    edge: '15',
    chrome: '49',
    firefox: '44',
    safari: '10.0',
  },
  'es.reflect.define-property': {
    edge: '13',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.delete-property': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.get': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.get-own-property-descriptor': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.get-prototype-of': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.has': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.is-extensible': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.own-keys': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.prevent-extensions': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.set': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.reflect.set-prototype-of': {
    edge: '12',
    chrome: '49',
    firefox: '42',
    safari: '10.0',
  },
  'es.regexp.constructor': {
    safari: '10.0',
    chrome: '51',
    firefox: '49',
  },
  'es.regexp.exec': {
    ie: '9',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.regexp.flags': {
    chrome: '49',
    firefox: '37',
    safari: '9.0',
  },
  'es.regexp.to-string': {
    chrome: '50',
    firefox: '46',
    safari: '10.0',
  },
  'es.set': {
    edge: '15',
    chrome: '51',
    firefox: '53',
    safari: '10.0',
  },
  'es.string.code-point-at': {
    edge: '13',
    chrome: '41',
    firefox: '29',
    safari: '9.0',
  },
  'es.string.ends-with': {
    chrome: '51',
    firefox: '40',
    safari: '10.0',
  },
  'es.string.from-code-point': {
    edge: '13',
    chrome: '41',
    firefox: '29',
    safari: '9.0',
  },
  'es.string.includes': {
    chrome: '51',
    firefox: '40',
    safari: '10.0',
  },
  'es.string.iterator': {
    edge: '13',
    chrome: '39',
    firefox: '36',
    safari: '9.0',
  },
  'es.string.match': {
    chrome: '51',
    firefox: '49',
    safari: '10.0',
  },
  'es.string.match-all': {
    // Early implementations does not throw an error on non-global regex
    chrome: '80', // 73
    // firefox: '67',
    // safari: '13',
  },
  'es.string.pad-end': {
    edge: '15',
    chrome: '57',
    firefox: '48',
    safari: '11.0',
  },
  'es.string.pad-start': {
    edge: '15',
    chrome: '57',
    firefox: '48',
    safari: '11.0',
  },
  'es.string.raw': {
    edge: '13',
    chrome: '41',
    firefox: '34',
    safari: '9.0',
  },
  'es.string.repeat': {
    edge: '13',
    chrome: '41',
    firefox: '24',
    safari: '9.0',
  },
  'es.string.replace': {
    chrome: '64',
  },
  'es.string.search': {
    safari: '10.0',
    firefox: '49',
    chrome: '51',
  },
  'es.string.split': {
    safari: '10.0',
    firefox: '49',
    chrome: '54',
  },
  'es.string.starts-with': {
    safari: '10.0',
    chrome: '51',
    firefox: '40',
  },
  'es.string.trim': {
    edge: '15',
    chrome: '59',
    firefox: '52',
    safari: '12.1',
  },
  'es.string.trim-end': {
    chrome: '66',
    firefox: '61',
    safari: '12.1',
  },
  'es.string.trim-start': {
    chrome: '66',
    firefox: '61',
    safari: '12.0',
  },
  'es.string.anchor': {
    edge: '13',
    chrome: '26',
    firefox: '17',
    safari: '8.0',
  },
  'es.string.big': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.string.blink': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.string.bold': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.string.fixed': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.string.fontcolor': {
    edge: '13',
    chrome: '26',
    firefox: '17',
    safari: '8.0',
  },
  'es.string.fontsize': {
    edge: '13',
    chrome: '26',
    firefox: '17',
    safari: '8.0',
  },
  'es.string.italics': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.string.link': {
    edge: '13',
    chrome: '26',
    firefox: '17',
    safari: '8.0',
  },
  'es.string.small': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.string.strike': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.string.sub': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.string.sup': {
    edge: '13',
    chrome: '26',
    firefox: '4',
    safari: '8.0',
  },
  'es.typed-array.float32-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.float64-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.int8-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.int16-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.int32-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.uint8-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.uint8-clamped-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.uint16-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.uint32-array': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.copy-within': {
    edge: '13',
    chrome: '45',
    firefox: '34',
    safari: '10.0',
  },
  'es.typed-array.every': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.fill': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.filter': {
    edge: '13',
    chrome: '45',
    firefox: '38',
    safari: '10.0',
  },
  'es.typed-array.find': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.find-index': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.for-each': {
    edge: '13',
    chrome: '45',
    firefox: '38',
    safari: '10.0',
  },
  'es.typed-array.from': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.includes': {
    edge: '14',
    chrome: '49',
    firefox: '43',
    safari: '10.0',
  },
  'es.typed-array.index-of': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.iterator': {
    edge: '13',
    chrome: '47',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.join': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.last-index-of': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.map': {
    edge: '13',
    chrome: '45',
    firefox: '38',
    safari: '10.0',
  },
  'es.typed-array.of': {
    edge: '15',
    chrome: '54',
    firefox: '55',
  },
  'es.typed-array.reduce': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.reduce-right': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.reverse': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.set': {
    edge: '13',
    chrome: '26',
    firefox: '15',
    safari: '8.0',
  },
  'es.typed-array.slice': {
    edge: '13',
    chrome: '45',
    firefox: '38',
    safari: '10.0',
  },
  'es.typed-array.some': {
    edge: '13',
    chrome: '45',
    firefox: '37',
    safari: '10.0',
  },
  'es.typed-array.sort': {
    edge: '13',
    chrome: '45',
    firefox: '46',
    safari: '10.0',
  },
  'es.typed-array.subarray': {
    edge: '13',
    chrome: '26',
    firefox: '15',
    safari: '8.0',
  },
  'es.typed-array.to-locale-string': {
    chrome: '45',
    firefox: '51',
    safari: '10.0',
  },
  'es.typed-array.to-string': {
    edge: '13',
    chrome: '51',
    firefox: '51',
    safari: '10.0',
  },
  'es.weak-map': {
    edge: '15',
    chrome: '51',
    firefox: '53',
    safari: '10.0',
  },
  'es.weak-set': {
    edge: '15',
    chrome: '51',
    firefox: '53',
    safari: '10.0',
  },
  'esnext.aggregate-error': {
  },
  'esnext.array.is-template-object': {
  },
  'esnext.array.last-index': {
  },
  'esnext.array.last-item': {
  },
  'esnext.async-iterator.constructor': {
  },
  'esnext.async-iterator.as-indexed-pairs': {
  },
  'esnext.async-iterator.drop': {
  },
  'esnext.async-iterator.every': {
  },
  'esnext.async-iterator.filter': {
  },
  'esnext.async-iterator.find': {
  },
  'esnext.async-iterator.flat-map': {
  },
  'esnext.async-iterator.for-each': {
  },
  'esnext.async-iterator.from': {
  },
  'esnext.async-iterator.map': {
  },
  'esnext.async-iterator.reduce': {
  },
  'esnext.async-iterator.some': {
  },
  'esnext.async-iterator.take': {
  },
  'esnext.async-iterator.to-array': {
  },
  'esnext.composite-key': {
  },
  'esnext.composite-symbol': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.global-this': null,
  'esnext.iterator.constructor': {
  },
  'esnext.iterator.as-indexed-pairs': {
  },
  'esnext.iterator.drop': {
  },
  'esnext.iterator.every': {
  },
  'esnext.iterator.filter': {
  },
  'esnext.iterator.find': {
  },
  'esnext.iterator.flat-map': {
  },
  'esnext.iterator.for-each': {
  },
  'esnext.iterator.from': {
  },
  'esnext.iterator.map': {
  },
  'esnext.iterator.reduce': {
  },
  'esnext.iterator.some': {
  },
  'esnext.iterator.take': {
  },
  'esnext.iterator.to-array': {
  },
  'esnext.map.delete-all': {
  },
  'esnext.map.every': {
  },
  'esnext.map.filter': {
  },
  'esnext.map.find': {
  },
  'esnext.map.find-key': {
  },
  'esnext.map.from': {
  },
  'esnext.map.group-by': {
  },
  'esnext.map.includes': {
  },
  'esnext.map.key-by': {
  },
  'esnext.map.key-of': {
  },
  'esnext.map.map-keys': {
  },
  'esnext.map.map-values': {
  },
  'esnext.map.merge': {
  },
  'esnext.map.of': {
  },
  'esnext.map.reduce': {
  },
  'esnext.map.some': {
  },
  'esnext.map.update': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.map.update-or-insert': {
  },
  'esnext.map.upsert': {
  },
  'esnext.math.clamp': {
  },
  'esnext.math.deg-per-rad': {
  },
  'esnext.math.degrees': {
  },
  'esnext.math.fscale': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.math.iaddh': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.math.imulh': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.math.isubh': {
  },
  'esnext.math.rad-per-deg': {
  },
  'esnext.math.radians': {
  },
  'esnext.math.scale': {
  },
  'esnext.math.seeded-prng': {
  },
  'esnext.math.signbit': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.math.umulh': {
  },
  'esnext.number.from-string': {
  },
  'esnext.observable': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.promise.all-settled': null,
  'esnext.promise.any': {
  },
  'esnext.promise.try': {
  },
  'esnext.reflect.define-metadata': {
  },
  'esnext.reflect.delete-metadata': {
  },
  'esnext.reflect.get-metadata': {
  },
  'esnext.reflect.get-metadata-keys': {
  },
  'esnext.reflect.get-own-metadata': {
  },
  'esnext.reflect.get-own-metadata-keys': {
  },
  'esnext.reflect.has-metadata': {
  },
  'esnext.reflect.has-own-metadata': {
  },
  'esnext.reflect.metadata': {
  },
  'esnext.set.add-all': {
  },
  'esnext.set.delete-all': {
  },
  'esnext.set.difference': {
  },
  'esnext.set.every': {
  },
  'esnext.set.filter': {
  },
  'esnext.set.find': {
  },
  'esnext.set.from': {
  },
  'esnext.set.intersection': {
  },
  'esnext.set.is-disjoint-from': {
  },
  'esnext.set.is-subset-of': {
  },
  'esnext.set.is-superset-of': {
  },
  'esnext.set.join': {
  },
  'esnext.set.map': {
  },
  'esnext.set.of': {
  },
  'esnext.set.reduce': {
  },
  'esnext.set.some': {
  },
  'esnext.set.symmetric-difference': {
  },
  'esnext.set.union': {
  },
  'esnext.string.at': {
  },
  'esnext.string.code-points': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.string.match-all': null,
  'esnext.string.replace-all': {
  },
  'esnext.symbol.async-dispose': {
  },
  'esnext.symbol.dispose': {
  },
  'esnext.symbol.observable': {
  },
  'esnext.symbol.pattern-match': {
  },
  // TODO: Remove from `core-js@4`
  'esnext.symbol.replace-all': {
  },
  'esnext.weak-map.delete-all': {
  },
  'esnext.weak-map.from': {
  },
  'esnext.weak-map.of': {
  },
  'esnext.weak-map.upsert': {
  },
  'esnext.weak-set.add-all': {
  },
  'esnext.weak-set.delete-all': {
  },
  'esnext.weak-set.from': {
  },
  'esnext.weak-set.of': {
  },
  'web.dom-collections.for-each': {
    edge: '16',
    chrome: '58',
    node: '0.10',
    firefox: '50',
    safari: '10.0',
  },
  'web.dom-collections.iterator': {
    chrome: '66',
    node: '0.10',
    firefox: '60',
  },
  'web.immediate': {
    ie: '10',
    node: '0.10',
  },
  'web.queue-microtask': {
    chrome: '71',
    // Node.js 11 shows ExperimentalWarning on getting `queueMicrotask`
    node: '12.0', // '11.0',
    firefox: '69',
    safari: '12.1',
  },
  'web.timers': {
    ie: '10',
    chrome: '1',
    opera: '7',
    node: '0.10',
    android: '1.5',
    firefox: '1',
    safari: '1.0',
  },
  'web.url': {
    chrome: '67',
    node: '10.0',
    firefox: '57',
  },
  'web.url.to-json': {
    chrome: '71',
    node: '10.0',
    firefox: '57',
  },
  'web.url-search-params': {
    chrome: '67',
    node: '10.0',
    firefox: '57',
  },
};

// TODO: Remove from `core-js@4`
data['esnext.global-this'] = data['es.global-this'];
data['esnext.promise.all-settled'] = data['es.promise.all-settled'];
data['esnext.string.match-all'] = data['es.string.match-all'];

module.exports = data;
